﻿* Encoding: UTF-8.
************************************************************
*****Read data. Insert your data path four times in this script and insert it before the backslash between the quotation marks of /FILE="".

*PE data of Exp. 3.
GET DATA  /TYPE=TXT
  /FILE=
    "\Exp3_PEDat.dat"
  /ENCODING='UTF8'
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  subject F2.0
  N_BREAK.0.0.0.0 F2.0
  N_BREAK.0.0.0.1 F2.0
  N_BREAK.0.0.1.0 F2.0
  N_BREAK.0.0.1.1 F2.0
  N_BREAK.0.1.0.0 F2.0
  N_BREAK.0.1.0.1 F2.0
  N_BREAK.0.1.1.0 F2.0
  N_BREAK.0.1.1.1 F2.0
  N_BREAK.1.0.0.0 F2.0
  N_BREAK.1.0.0.1 F2.0
  N_BREAK.1.0.1.0 F2.0
  N_BREAK.1.0.1.1 F2.0
  N_BREAK.1.1.0.0 F2.0
  N_BREAK.1.1.0.1 F2.0
  N_BREAK.1.1.1.0 F2.0
  N_BREAK.1.1.1.1 F2.0
  PE.0.0.0 F16.0
  PE.0.0.1 F16.0
  PE.0.1.0 F16.0
  PE.0.1.1 F16.0
  PE.1.0.0 F16.0
  PE.1.0.1 F16.0
  PE.1.1.0 F16.0
  PE.1.1.1 F16.0
  sbjct_filter F1.0.
CACHE.
EXECUTE.
DATASET NAME PE_01 WINDOW=FRONT.
DATASET ACTIVATE PE_01.

*Delete variables.
DELETE VARIABLES N_BREAK.0.0.0.0 TO N_BREAK.1.1.1.1 sbjct_filter.

*group = 1 for Exp. 3.
COMPUTE group = 1.
FORMATS group (f1.0).
EXECUTE.

*PE data of Exp. 4.
GET DATA  /TYPE=TXT
  /FILE=
    "\Exp4_PEDat.dat"
  /ENCODING='UTF8'
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  subject F2.0
  N_BREAK.0.0.0.0 F2.0
  N_BREAK.0.0.0.1 F2.0
  N_BREAK.0.0.1.0 F2.0
  N_BREAK.0.0.1.1 F2.0
  N_BREAK.0.1.0.0 F2.0
  N_BREAK.0.1.0.1 F2.0
  N_BREAK.0.1.1.0 F2.0
  N_BREAK.0.1.1.1 F2.0
  N_BREAK.1.0.0.0 F2.0
  N_BREAK.1.0.0.1 F2.0
  N_BREAK.1.0.1.0 F2.0
  N_BREAK.1.0.1.1 F2.0
  N_BREAK.1.1.0.0 F2.0
  N_BREAK.1.1.0.1 F2.0
  N_BREAK.1.1.1.0 F2.0
  N_BREAK.1.1.1.1 F2.0
  PE.0.0.0 F16.0
  PE.0.0.1 F16.0
  PE.0.1.0 F16.0
  PE.0.1.1 F16.0
  PE.1.0.0 F16.0
  PE.1.0.1 F16.0
  PE.1.1.0 F16.0
  PE.1.1.1 F16.0
  sbjct_filter F1.0.
CACHE.
EXECUTE.
DATASET NAME PE WINDOW=FRONT.
DATASET ACTIVATE PE.

*Delete variables.
DELETE VARIABLES N_BREAK.0.0.0.0 TO N_BREAK.1.1.1.1 sbjct_filter.

*group = 2 for Exp. 4.
COMPUTE group = 2.
FORMATS group (f1.0).
EXECUTE.

*merge data files.
ADD FILES /FILE=*
  /FILE='PE_01'.
EXECUTE.
DATASET CLOSE PE_01.

*ANOVA.
GLM PE.0.0.0 PE.0.0.1 PE.0.1.0 PE.0.1.1 PE.1.0.0 PE.1.0.1 PE.1.1.0 PE.1.1.1 BY group
  /WSFACTOR=questiontype 2 Polynomial activity_response 2 Polynomial activity_distractor 2 
    Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=questiontype activity_response activity_distractor questiontype*activity_response 
    questiontype*activity_distractor activity_response*activity_distractor 
    questiontype*activity_response*activity_distractor
  /DESIGN=group.


*RT data of Exp. 3.
GET DATA  /TYPE=TXT
  /FILE=
    "\Exp3_RTDat.dat"
  /ENCODING='UTF8'
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  subject F2.0
  RT.0.0.0 F16.0
  RT.0.0.1 F16.0
  RT.0.1.0 F16.0
  RT.0.1.1 F16.0
  RT.1.0.0 F16.0
  RT.1.0.1 F16.0
  RT.1.1.0 F16.0
  RT.1.1.1 F16.0.
CACHE.
EXECUTE.
DATASET NAME RTdat_01 WINDOW=FRONT.
DATASET ACTIVATE RTdat_01.

*group = 1 for Exp. 3.
COMPUTE group = 1.
FORMATS group (f1.0).
EXECUTE.


*RT data of Exp. 4.
GET DATA  /TYPE=TXT
  /FILE=
    "\Exp4_RTDat.dat"
  /ENCODING='UTF8'
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  subject F2.0
  RT.0.0.0 F16.0
  RT.0.0.1 F16.0
  RT.0.1.0 F16.0
  RT.0.1.1 F16.0
  RT.1.0.0 F16.0
  RT.1.0.1 F16.0
  RT.1.1.0 F16.0
  RT.1.1.1 F16.0.
CACHE.
EXECUTE.
DATASET NAME RT WINDOW=FRONT.
DATASET NAME RT WINDOW=FRONT.

*group = 2 for Exp. 4.
COMPUTE group = 2.
FORMATS group (f1.0).
EXECUTE.

*merge data files.
ADD FILES /FILE=*
  /FILE='RTdat_01'.
EXECUTE.
DATASET CLOSE RTdat_01.
DATASET ACTIVATE RT.

*ANOVA.
GLM RT.0.0.0 RT.0.0.1 RT.0.1.0 RT.0.1.1 RT.1.0.0 RT.1.0.1 RT.1.1.0 RT.1.1.1 BY group
  /WSFACTOR=questiontype 2 Polynomial activity_response 2 Polynomial activity_distractor 2 
    Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=questiontype activity_response activity_distractor questiontype*activity_response 
    questiontype*activity_distractor activity_response*activity_distractor 
    questiontype*activity_response*activity_distractor
  /DESIGN=group.

